MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002821VCMILauncherpublic2017-12-06 21:262022-03-28 18:10
Reporterdcrystal 
Assigned ToPovelitel 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformlinuxOSubuntuOS Version17.04
Product Version0.99 
Target VersionFixed in Version0.next 
Summary0002821: Segfault on launch
DescriptionWhen attempting to start a game (either random or existing scenario) it always segfaults

Dec 6 23:10:45 thinkpad kernel: [351547.762955] vcmiclient[11062]: segfault at 68 ip 00007fa254e97c5c sp 00007fffa4783320 error 4 in libSDL2-2.0.so.0.6.0[7fa254e01000+fc000]
Steps To Reproduce$ vcmilauncher
click on start game->new game->single scenario->begin
Additional Informationprobably not much useful without dev symbols:
#0 0x00007f6365200c5c in ?? () from /usr/lib/x86_64-linux-gnu/libSDL2-2.0.so.0
#1 0x000055b4ed2c2902 in ?? ()
0000002 0x000055b4ed417db0 in ?? ()
0000003 0x000055b4ed4180c7 in ?? ()
0000004 0x000055b4ed418f17 in ?? ()
0000005 0x000055b4ed358e5e in ?? ()
0000006 0x000055b4ed35a283 in ?? ()
0000007 0x000055b4ed4468b3 in ?? ()
0000008 0x000055b4ed446c40 in ?? ()
0000009 0x000055b4ed4aa64d in ?? ()
0000010 0x000055b4ed387030 in ?? ()
0000011 0x000055b4ed389178 in ?? ()
0000012 0x00007f63656a2416 in ?? () from /usr/lib/x86_64-linux-gnu/libboost_thread.so.1.62.0
0000013 0x00007f63654797fc in start_thread (arg=0x7f630ffff700) at pthread_create.c:465
0000014 0x00007f6361caab0f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0008074)
Povelitel (updater)
2022-03-15 06:10

Does the problem still exist?
(0008225)
Povelitel (updater)
2022-03-28 18:10

Should be fixed now

- Issue History
Date Modified Username Field Change
2017-12-06 21:26 dcrystal New Issue
2022-03-15 06:10 Povelitel Note Added: 0008074
2022-03-15 06:10 Povelitel Status new => feedback
2022-03-28 18:10 Povelitel Note Added: 0008225
2022-03-28 18:10 Povelitel Status feedback => closed
2022-03-28 18:10 Povelitel Assigned To => Povelitel
2022-03-28 18:10 Povelitel Resolution open => fixed
2022-03-28 18:10 Povelitel Fixed in Version => 0.next

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2022 MantisBT Team
Hosting provided by DigitalOcean